#include <stdio.h>
#include <stdlib.h>
//f*n
/*int niz[N];
int niz[M];*/
/*for(int p=1;p<=N;p++){
             int niz[p]=mat[p][M];
             if(niz[p]%N!=0)
                    printf("-1\n");
        for(int q=1;q<=M;q++){
             int broj[q]=mat[N][q];
             if(broj[q]%M!=0)
  u                  printf("-1\n");*/
/*1 2 2 1 f
  2 3 4 5
*/

int main()
{int T,N,M;
printf("unesi broj test primera\n");
scanf("%d",&T);
for(int k=0;k<T;k++){
    scanf("%d %d",&N,&M);
int mat[N][M];
int niz[N];
    for(int f=1;f<=N;f++){
        printf("unesi matricu\n");
        for(int u=1;u<=M;u++){
            scanf("%d",&mat[f][u]);

for(int y=0;y<N;y++){
    int zbir[y]=zbir[y]+mat[f][u];
    u++;
}
for(int y=0;y<N;y++){
    if(zbir[y]%N!=0){
        printf("-1");
    }
}




}
}
}
    return 0;
}